petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMLabelCreateIndex

Create an index structure for membership determination

### Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelCreateIndex(DMLabel label, PetscInt pStart, PetscInt pEnd)

Not collective

### Input Parameters

| label | - The DMLabel
| pStart | - The smallest point
| pEnd | - The largest point + 1

### See Also

DMLabelHasPoint(), DMLabelComputeIndex(), DMLabelDestroyIndex(), DMLabelGetValue(), DMLabelSetValue()

### Level

intermediate

### Location

src/dm/label/dmlabel.c
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages